#
# spec file for package python-vispy
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
# Test files missing
%bcond_with     test
%bcond_without  ext_deps
Name:           python-vispy
Version:        0.5.2
Release:        lp150.2.1
Summary:        Interactive visualization in Python
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/vispy/vispy
Source:         https://files.pythonhosted.org/packages/source/v/vispy/vispy-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%if %{with test}
BuildRequires:  %{python_module PySDL2}
BuildRequires:  %{python_module glfw}
BuildRequires:  %{python_module imageio}
BuildRequires:  %{python_module jupyter_ipython}
BuildRequires:  %{python_module networkx}
BuildRequires:  %{python_module numpy}
BuildRequires:  %{python_module opengl}
BuildRequires:  %{python_module pyglet}
BuildRequires:  %{python_module qt4}
BuildRequires:  %{python_module scipy}
BuildRequires:  fontconfig
%if %{with ext_deps}
BuildRequires:  %{python_module cassowary}
BuildRequires:  %{python_module decorator}
BuildRequires:  %{python_module freetype-py}
BuildRequires:  %{python_module husl}
BuildRequires:  %{python_module pypng}
BuildRequires:  %{python_module six}
%endif
%endif
Requires:       fontconfig
Requires:       python-numpy
Requires:       python-qt4
Recommends:     python-PySDL2
Recommends:     python-imageio
Recommends:     python-jupyter_ipython
Recommends:     python-pypng
Recommends:     python-networkx
Recommends:     python-opengl
Recommends:     python-pyglet
Recommends:     python-scipy
Recommends:     python-opengl-accelerate
%if %{with ext_deps}
Requires:       python-cassowary
Requires:       python-decorator
Requires:       python-freetype-py
Requires:       python-husl
Requires:       python-pypng
Requires:       python-six
%endif
BuildArch:      noarch

%python_subpackages

%description
Vispy is an interactive 2D/3D data visualization library. It leverages Graphics
Processing Units through the OpenGL library to display large datasets.

%prep
%setup -q -n vispy-%{version}
%if %{with ext_deps}
rm -rf vispy/ext/_bundled
%endif
sed -i -e '/^#!\//, 1d' vispy/glsl/build-spatial-filters.py vispy/util/transforms.py vispy/visuals/collections/util.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
%python_exec setup.py test
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst LICENSE.txt
%{python_sitelib}/*

%changelog
* Sat Mar  3 2018 jengelh@inai.de
- Compact description.
* Thu Jan 18 2018 toddrme2178@gmail.com
- Update to version 0.15.2
  * Fix PyPI packaging to include LICENSE.txt
  * Fix initial axis limits in PlotWidget (#1386)
  * Fix zoom event position in Pyglet backend (#1388)
  * Fix camera importing (#1389, #1172)
  * Refactor `EllipseVisual` and `RectangleVisual` (#1387, #1349)
  * Fix `one_scene_four_cams.py` example (#1391, #1124)
  * Add `two_qt_widgets.py` example (#1392, #1298)
  * Fix order of alignment values for proper processing (#1395, #641)
* Fri Oct 20 2017 toddrme2178@gmail.com
- initial version
